Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Can't run Eclipse!(Can't launch eclipse on MacBook pro )
Can't run Eclipse! [message #1774051] Mon, 09 October 2017 20:14 Go to next message
Sercan Yücel is currently offline Sercan YücelFriend
Messages: 3
Registered: October 2017
Junior Member
Hi everyone:
I downloaded java 8 and the latest version of Eclipse but I can't use it. Every time I double click on Eclipse icon and hit run it says :
"An error has occurred. See the log file. "

I tried to uninstall both java and eclipse and downloaded them again. I tried to run an older version of Eclipse (Neon).
And I tried several stuff on terminal that I have found on the web. None of them solved my problem.
I'm studying computer science and I have to have Eclipse on my laptop.
So please help me asap if you have a solution for that problem.

I have a new MacBook pro with macOS high Sierra version 10.13
Java 8 update 144

Thank you so much in advance!
Re: Can't run Eclipse! [message #1774063 is a reply to message #1774051] Tue, 10 October 2017 04:35 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29037
Registered: July 2009
Senior Member
This page provides solutions to common problems: https://wiki.eclipse.org/Eclipse/Installation Read all the parts.
Re: Can't run Eclipse! [message #1774105 is a reply to message #1774063] Tue, 10 October 2017 16:09 Go to previous messageGo to next message
omar alsaywed is currently offline omar alsaywedFriend
Messages: 3
Registered: October 2017
Junior Member
I have the same issue, Please let me know once you find the solution, Thanks buddy
Re: Can't run Eclipse! [message #1774119 is a reply to message #1774051] Tue, 10 October 2017 18:21 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3022
Registered: July 2009
Senior Member

Did you look at the contents of the log file? Can you show us its contents?

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Can't run Eclipse! [message #1774324 is a reply to message #1774119] Thu, 12 October 2017 20:36 Go to previous messageGo to next message
Sercan Yücel is currently offline Sercan YücelFriend
Messages: 3
Registered: October 2017
Junior Member
!SESSION 2017-10-07 17:19:11.987 -----------------------------------------------
eclipse.buildId=4.7.1.M20170906-1700
java.version=9
java.vendor=Oracle Corporation
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_CH
Framework arguments: -product org.eclipse.epp.package.java.product -keyring /U$
Command-line arguments: -os macosx -ws cocoa -arch x86_64 -product org.eclipse$

!ENTRY org.eclipse.osgi 4 0 2017-10-07 17:19:19.943
!MESSAGE Application error
!STACK 1
org.eclipse.e4.core.di.InjectionException: java.lang.NoClassDefFoundError: java$
at org.eclipse.e4.core.internal.di.InjectorImpl.internalMake(InjectorIm$
at org.eclipse.e4.core.internal.di.InjectorImpl.make(InjectorImpl.java:$
at org.eclipse.e4.core.contexts.ContextInjectionFactory.make(ContextInj$
at org.eclipse.e4.ui.internal.workbench.swt.E4Application.createDefault$
at org.eclipse.e4.ui.internal.workbench.swt.E4Application.createDefault$
at org.eclipse.e4.ui.internal.workbench.swt.E4Application.createE4Workb$
at org.eclipse.ui.internal.Workbench.lambda$3(Workbench.java:614)
Re: Can't run Eclipse! [message #1774327 is a reply to message #1774324] Thu, 12 October 2017 20:59 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3022
Registered: July 2009
Senior Member

Your lines are truncated. Also, that's Java 9, not Java 8 update 144.

Oxygen.1a is the first release of Eclipse that is ready to run under Java 9. If you must use an older release, check the Wiki page at https://wiki.eclipse.org/Configure_Eclipse_for_Java_9 for instructions on adding the right startup parameters to your eclipse.ini file or shell script.


Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Can't run Eclipse! [message #1774329 is a reply to message #1774063] Thu, 12 October 2017 21:12 Go to previous message
Sercan Yücel is currently offline Sercan YücelFriend
Messages: 3
Registered: October 2017
Junior Member
Thank you very much. That solved my problem. Actually I was finally able to see the latest java download on oracle's page after some following links. Just downloaded the latest Java and eclipse from the scratch and it works just fine.

Thanks a lot!
Previous Topic:No plug-ins or fragments to import
Next Topic:What should be in the build path for http 404 to go away?
Goto Forum:
  


Current Time: Sat Dec 16 03:33:56 GMT 2017

Powered by FUDForum. Page generated in 0.03497 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software